<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    android:layout_marginHorizontal="5dp"
    android:layout_marginVertical="5dp"
    app:cardBackgroundColor="#f9fafc"
    app:cardCornerRadius="5dp"
    app:cardUseCompatPadding="true">

    <RelativeLayout style="@style/MatchWrap">

        <View
            android:layout_width="5dp"
            android:layout_height="200dp"
            android:layout_alignTop="@+id/ll"
            android:layout_alignBottom="@+id/ll"
            android:background="@color/purple_200" />

        <!-- Main content container -->
        <LinearLayout
            android:id="@+id/ll"
            style="@style/MatchWrap.Vertical"
            android:paddingHorizontal="10dp"
            android:paddingVertical="10dp">

            <!-- Info Row 1 -->
            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:gravity="center_vertical"
                android:visibility="gone">

                <TextView
                    android:id="@+id/tv_code_tip"
                    style="@style/text_c666_12_ww"
                    android:text="RFID 标签" />

                <TextView
                    android:id="@+id/tv_material_code"
                    style="@style/WrapWrap"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="PTLBQ20251218"
                    android:textColor="@color/purple_200"
                    android:textSize="14sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <!-- Info Row 1 -->
            <RelativeLayout
                style="@style/MatchWrap"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_batch_code_tip"
                    style="@style/text_c666_12_ww"
                    android:layout_centerVertical="true"
                    android:text="批   次   号" />

                <TextView
                    android:id="@+id/tv_batch_code"
                    style="@style/WrapWrap"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="10dp"
                    android:layout_toEndOf="@+id/tv_batch_code_tip"
                    android:text="IN2025122613480842270021"
                    android:textColor="@color/purple_200"
                    android:textSize="14sp"
                    android:textStyle="bold" />

            </RelativeLayout>

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_marginTop="5dp">
                <!-- 仓库 -->
                <TextView
                    style="@style/text_c666_12_ww"
                    android:text="物资/规格型号/货架" />

                <TextView
                    android:id="@+id/tv_warehouse"
                    style="@style/text_black12_ww"
                    android:layout_marginStart="10dp"
                    android:text="-/-/-"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_marginTop="5dp">

                <LinearLayout
                    style="@style/WrapWrap.Horizontal"
                    android:layout_marginTop="5dp"
                    android:layout_weight="1">
                    <!-- 有效期 -->
                    <TextView
                        style="@style/text_c666_12_ww"
                        android:text="有效期" />

                    <TextView
                        android:id="@+id/tv_cancel_time"
                        style="@style/text_black12_ww"
                        android:layout_marginStart="10dp"
                        android:text="-"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    style="@style/WrapWrap.Horizontal"
                    android:layout_marginTop="5dp"
                    android:layout_weight="1">
                    <!-- 有效期 -->
                    <TextView
                        style="@style/text_c666_12_ww"
                        android:text="库存" />

                    <TextView
                        android:id="@+id/tv_inventory"
                        style="@style/text_green12_ww"
                        android:layout_marginStart="10dp"
                        android:text="-"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>


            <!--横线-->
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:background="@color/c_f5f5" />

            <androidx.cardview.widget.CardView
                style="@style/MatchWrap"
                app:cardBackgroundColor="#DDF6DF"
                app:cardCornerRadius="5dp">

                <!--填写本次出库数量-->
                <RelativeLayout
                    style="@style/MatchWrap.Horizontal"
                    android:paddingHorizontal="10dp"
                    android:paddingTop="0dp"
                    android:paddingBottom="10dp">

                    <TextView
                        android:id="@+id/txt_quantityView_default_tip"
                        style="@style/text_black12_ww"
                        android:layout_alignTop="@+id/quantityView_default"
                        android:layout_alignBottom="@+id/quantityView_default"
                        android:gravity="center"
                        android:text="本次出库数量" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/quantityView_default"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"

                        android:layout_toEndOf="@+id/txt_quantityView_default_tip" />

                    <!--                    <com.sxyz.rfid.widgets.QuantityView-->
                    <!--                        android:id="@+id/quantityView_default"-->
                    <!--                        android:layout_width="wrap_content"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:layout_marginStart="10dp"-->
                    <!--                        android:layout_toEndOf="@+id/txt_quantityView_default_tip"-->
                    <!--                        app:qv_addButtonBackground="@color/purple_200"-->
                    <!--                        app:qv_addButtonTextColor="@color/white"-->
                    <!--                        app:qv_quantity="10"-->
                    <!--                        app:qv_quantityPadding="40dp"-->
                    <!--                        app:qv_removeButtonBackground="@color/purple_200"-->
                    <!--                        app:qv_removeButtonTextColor="@color/white" />-->

                    <TextView
                        android:id="@+id/txt_need_quantityView_default_tip"
                        style="@style/text_c666_10_ww"
                        android:layout_below="@+id/quantityView_default"
                        android:layout_alignTop="@+id/txt_need_quantityView_default"
                        android:layout_alignBottom="@+id/txt_need_quantityView_default"
                        android:gravity="center"
                        android:text="还需出库: " />

                    <TextView
                        android:id="@+id/txt_need_quantityView_default"
                        style="@style/text_black12_ww"
                        android:layout_below="@+id/quantityView_default"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:layout_toEndOf="@+id/txt_need_quantityView_default_tip"
                        android:text="0"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/txt_fill_required_quantity"
                        style="@style/text_green12_ww"
                        android:layout_below="@+id/quantityView_default"
                        android:layout_centerHorizontal="true"
                        android:padding="5dp"
                        android:text="填充所需数量"
                        android:textStyle="bold"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/txt_all_required_quantity"
                        style="@style/text_green12_ww"
                        android:layout_below="@+id/quantityView_default"
                        android:layout_alignParentEnd="true"
                        android:padding="5dp"
                        android:text="全部出库"
                        android:textStyle="bold"
                        android:visibility="gone" />

                </RelativeLayout>

            </androidx.cardview.widget.CardView>
            <!--        确认出库、取消    -->
            <!--        确认出库、取消    -->
            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:gravity="end"
                android:paddingHorizontal="0dp"
                android:paddingTop="10dp">

                <TextView
                    android:id="@+id/btn_confirm_out"
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:layout_marginEnd="20dp"
                    android:background="@drawable/green_bg"
                    android:gravity="center"
                    android:paddingHorizontal="20dp"
                    android:text="确认出库"
                    android:textColor="@color/white"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/btn_cancel_out"
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:background="@drawable/gray_bg1"
                    android:gravity="center"
                    android:paddingHorizontal="30dp"
                    android:text="取消"
                    android:textSize="12sp"
                    android:visibility="visible" />

            </LinearLayout>

        </LinearLayout>
    </RelativeLayout>
</androidx.cardview.widget.CardView>